[project]
name = "train-watcher-services"
version = "0.1.0"
requires-python = ">=3.14"
dependencies = []

[tool.uv]
package = false

[tool.uv.workspace]
members = ["bff", "logic"]

[dependency-groups]
dev = [
  "pytest>=8.3.5",
  "ruff>=0.11.11",
  "ty>=0.0.1a6",
]

[tool.ruff]
line-length = 100
target-version = "py314"

[tool.ruff.lint]
select = ["E", "F", "I", "UP", "B"]
